Subject: GNU sed for Tru6 configure CFLAGS?

From: Jay K <[email-masked]>
Date: Thu, 1 Jul 2021 06:35:58 +0000

Hi. I built GNU sed for Tru64.
With native cc, not gcc. I realize it is an old system.

$ uname -srm
OSF1 V5.1 alpha

$ which cc
/usr/bin/cc

$ cc -V
Compaq C V6.5-303 (dtk) on HP Tru64 UNIX V5.1B (Rev. 2650)
Compiler Driver V6.5-302 (dtk) cc Driver

It seemed to require:
 ./configure CFLAGS="-pthread"

Otherwise, there was an unresolved mbtowc_with_lock.

Perhaps configure.ac can/should do that automatically?

Perhaps this can/should somehow be done more globally, beyond sed?
i.e. I should refer to autoconf mailing list?

Fyi, tests mostly passed, but 2 failures, look like test harness problem:

FAIL: testsuite/comment-n
=========================

diff: Cannot compare character special file.
FAIL testsuite/comment-n.sh (exit status: 1)

FAIL: testsuite/execute-tests
=============================

diff: Cannot compare character special file.
0000000   62  00
           b  \0
0000002
0000000   62  00
           b  \0
0000002
FAIL testsuite/execute-tests.sh (exit status: 1)

I should probably try with GNU diff, later.

Thank you,
 - Jay